libusb: require pkg-config support
[openocd.git] / src / helper / Makefile.am
index bf8527f..215bbae 100644 (file)
@@ -1,19 +1,11 @@
-AM_CPPFLAGS = \
-       -I$(top_srcdir)/src \
-       -I$(top_srcdir)/src/server \
-       -I$(top_srcdir)/src/target \
-       -DPKGDATADIR=\"$(pkgdatadir)\"
+include $(top_srcdir)/common.mk
 
 METASOURCES = AUTO
 noinst_LTLIBRARIES = libhelper.la
 
-if ECOSBOARD
-CONFIGFILES =
-else
-CONFIGFILES = options.c jim.c jim-eventloop.c
-endif
-
+CONFIGFILES = options.c time_support_common.c
 
+libhelper_la_CPPFLAGS = $(AM_CPPFLAGS) $(LIBUSB1_CFLAGS)
 
 libhelper_la_SOURCES = \
        binarybuffer.c \
@@ -24,7 +16,8 @@ libhelper_la_SOURCES = \
        time_support.c \
        replacements.c \
        fileio.c \
-       membuf.c
+       util.c \
+       jim-nvp.c
 
 if IOUTIL
 libhelper_la_SOURCES += ioutil.c
@@ -42,17 +35,17 @@ noinst_HEADERS = \
        binarybuffer.h \
        configuration.h \
        ioutil.h \
+       list.h \
+       util.h \
        types.h \
        log.h \
        command.h \
-       membuf.h \
        time_support.h \
        replacements.h \
        fileio.h \
-       jim.h \
-       jim-eventloop.h \
        system.h \
-       bin2char.c
+       bin2char.c \
+       jim-nvp.h
 
 EXTRA_DIST = startup.tcl